コンテンツにスキップ
トレカクラウド
Esc
↑↓移動↵開く⌘Jプレビュー

買取強化対象の一覧を取得する

いま掲載中の買取強化対象を、強化価格の高い順に返します。開始前、一時停止中、終了したもの、期限が過ぎたものは返しません。

許可したメンバーには、店舗での purchases.read 権限が必要です。

GET/purchase-boosts
Authorization
AuthorizationOAuth2 access token · headerrequired

認可コードフロー(PKCE S256 必須)。認可・トークン・更新のリクエストには resource=https://api.toreca-cloud.com/partner/v1 を付けます。アクセストークンは15分、リフレッシュトークンは90日有効で、更新のたびに入れ替わります。

Scopes:purchase-boosts:read
Query parameters
includestring

filled を指定すると、残り枚数が0の強化も status: "filled" で返します。

default: "open"
Allowed:openfilled
Responses
200

買取強化対象の一覧

boostsPurchaseBoost[]required
Show properties
Array of PurchaseBoost
idstring<uuid>required
targetobjectrequired
Show properties
One of:
object
kindstringrequired
cardBoostCardrequired

対象のカード

Show properties
idstring<uuid>
namestring
localizedNamesobject
cardNumberstring | null
setTotalRawstring | null
languageCodestring
imageUrlstring<uri> | null
rarityobject | null
Show properties
codestring
namestring
setobject | null
Show properties
idstring<uuid>
codestring
namestring
gameGame
Show properties
idstring<uuid>
codestring
namestring
gradeGrade | nullrequired

対象のグレード。null はグレードを問いません。

Show properties
One of:
Grade
idstring<uuid>
codestring
labelstring

表示名(例:PSA 10)

serviceCodestring
serviceNamestring
serviceKindstring

third_party は外部の鑑定、internal は店舗の状態ランク

Allowed:third_partyinternal
null
null
object
kindstringrequired
productBoostProductrequired

対象のBOX・パック・デッキ

Show properties
idstring<uuid>
namestring
productKindstring

box、pack、deck など

janCodestring | null
languageCodestring
imageUrlstring<uri> | null
gameGame
Show properties
idstring<uuid>
codestring
namestring
priceMinorintegerrequired

1枚あたりの強化価格(通貨の最小単位。円なら円の整数)

currencystringrequired

ISO 4217(例:JPY)

remainingQuantityinteger | nullrequired

あと何枚買い取るか。null は上限なし。

min 0
statusstringrequired

filled は include=filled のときだけ返ります。

Allowed:openfilled
startsAtstring<date-time> | nullrequired

掲載の開始。null は指定なし。

endsAtstring<date-time> | nullrequired

掲載の終了。この時刻になった時点で終わります。null は指定なし。

notestring | nullrequired

店舗がLPや投稿向けに書いた一言(200文字まで)

updatedAtstring<date-time>required
generatedAtstring<date-time>required

一覧を作った時刻

400

invalid_request。パラメーターが正しくありません。

errorstringrequired

エラーのコード

scopestring

insufficient_scope のとき、足りない権限

401

invalid_token。トークンがない、期限切れ、または別のリソース向けです。

errorstringrequired

エラーのコード

scopestring

insufficient_scope のとき、足りない権限

403

insufficient_scope、connection_revoked、client_disabled、forbidden のいずれかです。

errorstringrequired

エラーのコード

scopestring

insufficient_scope のとき、足りない権限

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.toreca-cloud.com/partner/v1/purchase-boosts' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response
{
  "boosts": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "target": {
        "kind": "card",
        "card": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "localizedNames": {
            "property1": "string",
            "property2": "string"
          },
          "cardNumber": "string",
          "setTotalRaw": "string",
          "languageCode": "string",
          "imageUrl": "http://example.com",
          "rarity": {
            "code": "string",
            "name": "string"
          },
          "set": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "code": "string",
            "name": "string"
          },
          "game": {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "code": "string",
            "name": "string"
          }
        },
        "grade": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "code": "string",
          "label": "string",
          "serviceCode": "string",
          "serviceName": "string",
          "serviceKind": "third_party"
        }
      },
      "priceMinor": 0,
      "currency": "string",
      "remainingQuantity": 0,
      "status": "open",
      "startsAt": "2019-08-24T14:15:22Z",
      "endsAt": "2019-08-24T14:15:22Z",
      "note": "string",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "generatedAt": "2019-08-24T14:15:22Z"
}